Page MenuHomePhabricator

Selecting "Global rules only" throws database error on enwiki
Closed, ResolvedPublic

Description

https://en.wikipedia.org/wiki/Special:AbuseFilter/?deletedfilters=hide&rulescope=global&querypattern=&searchoption=LIKE&limit=50&title=Special%3AAbuseFilter%2F

Fatal exception of type "Wikimedia\Rdbms\DBQueryError"

Global filters don't run on enwiki, is my understanding. Probably why this errors out.

Event Timeline

Restricted Application added subscribers: Scoopfinder, Aklapper. · View Herald TranscriptMay 18 2018, 10:42 PM
MarcoAurelio added a subscriber: MarcoAurelio.
[Wv-mYgpAAD4AAHkStxwAAACC] 2018-05-19 08:54:59: Fatal exception of type "Wikimedia\Rdbms\DBQueryError"
Function: IndexPager::buildQueryInfo (GlobalAbuseFilterPager)
Error: 1046 No database selected (10.64.32.136)
exception.trace:
#0 /srv/mediawiki/php-1.32.0-wmf.3/includes/libs/rdbms/database/Database.php(1423): Wikimedia\Rdbms\Database->makeQueryException(string, integer, string, string)
#1 /srv/mediawiki/php-1.32.0-wmf.3/includes/libs/rdbms/database/Database.php(1196): Wikimedia\Rdbms\Database->reportQueryError(string, integer, string, string, boolean)
#2 /srv/mediawiki/php-1.32.0-wmf.3/includes/libs/rdbms/database/Database.php(1650): Wikimedia\Rdbms\Database->query(string, string)
#3 /srv/mediawiki/php-1.32.0-wmf.3/includes/pager/IndexPager.php(368): Wikimedia\Rdbms\Database->select(array, array, array, string, array, array)
#4 /srv/mediawiki/php-1.32.0-wmf.3/includes/pager/IndexPager.php(225): IndexPager->reallyDoQuery(string, integer, boolean)
#5 /srv/mediawiki/php-1.32.0-wmf.3/includes/pager/IndexPager.php(608): IndexPager->doQuery()
#6 /srv/mediawiki/php-1.32.0-wmf.3/includes/pager/TablePager.php(292): IndexPager->isNavigationBarShown()
#7 /srv/mediawiki/php-1.32.0-wmf.3/extensions/AbuseFilter/includes/Views/AbuseFilterViewList.php(251): TablePager->getNavigationBar()
#8 /srv/mediawiki/php-1.32.0-wmf.3/extensions/AbuseFilter/includes/Views/AbuseFilterViewList.php(116): AbuseFilterViewList->showList(array, array)
#9 /srv/mediawiki/php-1.32.0-wmf.3/extensions/AbuseFilter/includes/special/SpecialAbuseFilter.php(122): AbuseFilterViewList->show()
#10 /srv/mediawiki/php-1.32.0-wmf.3/includes/specialpage/SpecialPage.php(522): SpecialAbuseFilter->execute(string)
#11 /srv/mediawiki/php-1.32.0-wmf.3/includes/specialpage/SpecialPageFactory.php(568): SpecialPage->run(string)
#12 /srv/mediawiki/php-1.32.0-wmf.3/includes/MediaWiki.php(288): SpecialPageFactory::executePath(Title, RequestContext)
#13 /srv/mediawiki/php-1.32.0-wmf.3/includes/MediaWiki.php(861): MediaWiki->performRequest()
#14 /srv/mediawiki/php-1.32.0-wmf.3/includes/MediaWiki.php(524): MediaWiki->main()
#15 /srv/mediawiki/php-1.32.0-wmf.3/index.php(42): MediaWiki->run()
#16 /srv/mediawiki/w/index.php(3): include(string)
#17 {main}

AFAIK, the local/global selector shouldn't be shown at all if global filters can't be used on the current wiki. In fact, those options are only shown when AbuseFilterCentralDB isn't null. However, they have appeared not only on enwiki, but also on itwiki (and probably all wikis), although I'm not aware of any scheduled config change. So, either there have been a cfg change, or a patch in AF which caused the problem. Right now I'm unable to investigate, however the last train was 10 days ago and I don't remember having seen those radios lately, so I'm leaning towards a config change.

Change 434311 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Compare with null instead of using $config->has

https://gerrit.wikimedia.org/r/434311

Daimona claimed this task.May 21 2018, 10:15 AM

Change 434311 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Compare with null instead of using $config->has

https://gerrit.wikimedia.org/r/434311

Huji closed this task as Resolved.May 24 2018, 6:10 PM
Huji removed a project: Patch-For-Review.
Vvjjkkii renamed this task from Selecting "Global rules only" throws database error on enwiki to 1pcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Daimona as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Daimona renamed this task from 1pcaaaaaaa to Selecting "Global rules only" throws database error on enwiki.Jul 1 2018, 12:39 PM
Daimona closed this task as Resolved.
Daimona claimed this task.
Daimona raised the priority of this task from High to Needs Triage.
Daimona updated the task description. (Show Details)
Daimona edited projects, added AbuseFilter; removed TCB-Team.